namespace MyOffice.Data.Repositories.Account;

using Models.Accounts;

public interface IAccountAccountCategoryRepository
{
	List<AccountAccountCategory> Get(Guid userId, Guid accountId, Guid categoryId);
	Task<List<AccountAccountCategory>> GetAsync(Guid userId, Guid accountId, Guid categoryId, CancellationToken cancellationToken = default);
	bool Remove(AccountAccountCategory accountAccountCategory);
	Task<bool> RemoveAsync(AccountAccountCategory accountAccountCategory, CancellationToken cancellationToken = default);
	bool Add(AccountAccountCategory accountAccountCategory);
	Task<bool> AddAsync(AccountAccountCategory accountAccountCategory, CancellationToken cancellationToken = default);
}